Bug 1003036 - libhdfs not in default library search path
libhdfs not in default library search path
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hadoop (Show other bugs)
20
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 10:28 EDT by Mattias Ellert
Modified: 2013-10-15 02:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: hadoop-2.0.5-12.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 02:33:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2013-08-30 10:28:55 EDT
Description of problem:

The libhdfs rpm installs the library as:

/usr/lib64/hadoop/libhdfs.so
/usr/lib64/hadoop/libhdfs.so.0.0.0

If I link to the library and then try to run the application it fails because the library is not in the default library search path:

$ ldd libHDFS.so
	linux-vdso.so.1 =>  (0x00007fffeaaa3000)
	libRIO.so.5.34 => /usr/lib64/root/libRIO.so.5.34 (0x00007f7c0f1dd000)
 ---->	libhdfs.so.0.0.0 => not found
	libCore.so.5.34 => /usr/lib64/root/libCore.so.5.34 (0x00007f7c0e80d000)
	libCint.so.5.34 => /usr/lib64/root/libCint.so.5.34 (0x00007f7c0de85000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f7c0db7c000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f7c0d966000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f7c0d5a7000)
	libThread.so.5.34 => lib/libThread.so.5.34 (0x00007f7c0d351000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f7c0d14d000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f7c0ce46000)
	libz.so.1 => /lib64/libz.so.1 (0x00007f7c0cc2f000)
	liblzma.so.5 => /lib64/liblzma.so.5 (0x00007f7c0ca0a000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f7c0c7a4000)
	/lib64/ld-linux-x86-64.so.2 (0x00000033bec00000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f7c0c586000)

This means things do not work out of the box, without setting LD_LIBRARY_PATH.

Why are libhdfs.so and libhdfs.so.0.0.0 in /usr/lib64/hadoop instead of /usr/lib64?

Version-Release number of selected component (if applicable):

$ rpm -q libhdfs
libhdfs-2.0.5-8.fc21.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Compile an executable or a library that links to libhdfs
2. Try to run it, or try using ldd to resolve its dependencies
3. See it fail

Actual results:

libhdfs not found in default library search path

Expected results:

libhdfs found in default library search path
Comment 1 Fedora Update System 2013-09-13 12:24:14 EDT
hadoop-2.0.5-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hadoop-2.0.5-9.fc20
Comment 2 Fedora Update System 2013-09-13 13:28:43 EDT
Package hadoop-2.0.5-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hadoop-2.0.5-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16648/hadoop-2.0.5-9.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-03 13:31:29 EDT
hadoop-2.0.5-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hadoop-2.0.5-10.fc20
Comment 4 Fedora Update System 2013-10-07 16:03:39 EDT
hadoop-2.0.5-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hadoop-2.0.5-11.fc20
Comment 5 Fedora Update System 2013-10-10 18:11:34 EDT
hadoop-2.0.5-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hadoop-2.0.5-12.fc20
Comment 6 Fedora Update System 2013-10-15 02:33:20 EDT
hadoop-2.0.5-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.